Bug 814392 - [abrt] gpodder-2.20.1-1.fc16: __GI___poll: Process /usr/bin/python was killed by signal 6 (SIGABRT)
[abrt] gpodder-2.20.1-1.fc16: __GI___poll: Process /usr/bin/python was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gpodder (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:e4b4b470c3935b218cf364cab76...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 14:48 EDT by Robert Elliott
Modified: 2013-02-13 10:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:25:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (12.36 KB, text/plain)
2012-04-19 14:48 EDT, Robert Elliott
no flags Details
File: build_ids (5.29 KB, text/plain)
2012-04-19 14:49 EDT, Robert Elliott
no flags Details
File: maps (34.92 KB, text/plain)
2012-04-19 14:49 EDT, Robert Elliott
no flags Details
File: backtrace (158.22 KB, text/plain)
2012-04-19 14:49 EDT, Robert Elliott
no flags Details

  None (edit)
Description Robert Elliott 2012-04-19 14:48:54 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/gpodder
comment:        Downloading video podcast from http://feeds2.feedburner.com/ESOcast . Nothing else out of the ordinary happening at the time, and this podcast has downloaded previously without any problem.
crash_function: __GI___poll
executable:     /usr/bin/python
kernel:         3.3.1-5.fc16.i686.PAE
pid:            8855
pwd:            /home/rde
reason:         Process /usr/bin/python was killed by signal 6 (SIGABRT)
time:           Thu 19 Apr 2012 07:37:16 PM IST
uid:            500
username:       rde

backtrace:      Text file, 162018 bytes
build_ids:      Text file, 5412 bytes
dso_list:       Text file, 12660 bytes
maps:           Text file, 35755 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=benten
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=3dc789412059e7f51cccffd600000019-1334604097.570494-1952765566
:GNOME_KEYRING_CONTROL=/tmp/keyring-tuFGYK
:M=/media/ARCHOS/MUSIC
:IMSETTINGS_MODULE=none
:SVN_EDITOR=/usr/bin/vim
:USER=rde
:USERNAME=rde
:MAIL=/var/spool/mail/rde
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/rde/bin:/home/rde/android/android-sdk-linux_x86:/home/rde/android/phonegap-phonegap-android
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/rde
:JAVA_HOME=/usr/lib/jvm/jre-1.6.0-openjdk/
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1352
:LANG=en_US.UTF-8
:GDM_LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/rde
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=rde
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-HSFJPHs8yb,guid=89e93d8819ce8f05f33dd3d300000028
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/rde
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-rde-orobTd/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1358,unix/unix:/tmp/.ICE-unix/1358
:GPG_AGENT_INFO=/tmp/keyring-tuFGYK/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-tuFGYK/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-gpodder.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=8855

smolt_data:
:
:
:General
:=================================
:UUID: d740c6f9-ce6e-4edf-934f-70dd5d3aade6
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4655.10
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad  CPU   Q8200  @ 2.33GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2331
:System Memory: 4036
:System Swap: 4000
:Vendor: MEDIONPC
:System: MS-7502 OEM
:Form factor: Desktop
:Kernel: 3.3.1-5.fc16.i686.PAE
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10550:5218:29954) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(4358:12356:5218:20525) pci, firewire_ohci, FIREWIRE, VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller
:(4401:29233:5822:2) pci, None, MULTIMEDIA, SAA7231
:(32902:10544:5218:29954) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10530:5218:29954) pci, ahci, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller
:(32902:10514:5218:29954) pci, None, PCI/ISA, 82801IH (ICH9DH) LPC Interface Controller
:(4318:1570:5218:4728) pci, nvidia, VIDEO, G94 [GeForce 9600 GT]
:(32902:10558:5218:29954) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:4288:5218:20524) pci, e1000e, ETHERNET, 82562V-2 10/100 Network Connection
:(32902:10549:5218:29954) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9294:5218:29954) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10548:5218:29954) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:5218:29954) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:5218:29954) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10688:32902:10688) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10556:5218:29954) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10553:5218:29954) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:5218:29954) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10689:5218:29954) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 25560594 22724502 21444524 6406144 6154516 6154516
:/dev/sdb5 WITHHELD ext4 4096 4096 212470760 96715141 92461451 53174272 53172170 53172170
:/dev/sdd2 WITHHELD ext2 4096 4096 125988944 14135410 12855410 32006144 32003949 32003949
:/dev/sda2 /home ext3 4096 4096 100785666 47443369 42323354 25650000 25562147 25562147
:/dev/sdb1 WITHHELD ext4 4096 4096 153440051 46217094 43145105 38404096 38402884 38402884
:/dev/sdd4 WITHHELD ext4 4096 4096 155416518 125473137 123917359 38895616 38880533 38880533
:/dev/sdd1 WITHHELD ext4 4096 4096 102288268 37334521 36310521 25600000 25598803 25598803
:/dev/sdd3 WITHHELD ext4 4096 4096 102288268 80294492 79270492 25600000 25590724 25590724
:/dev/sda5 WITHHELD ext3 4096 4096 113354824 60246400 54488102 28794880 28764552 28764552
:/dev/sdc WITHHELD ext4 4096 4096 243946300 15011221 12569322 61054976 61053183 61053183
:/dev/sdi WITHHELD vfat 4096 4096 2000568 162409 162409 0 0 0
:/dev/sdh1 WITHHELD ext4 4096 4096 243946044 59450765 57008869 61054976 61052888 61052888
:

var_log_messages:
:Apr 16 15:15:49 benten yum[26301]: Updated: audit-libs-python-2.2.1-1.fc16.i686
:Apr 19 18:24:40 benten abrt[8145]: Saved core dump of pid 8980 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-04-19-18:24:37-8980 (93515776 bytes)
:Apr 19 19:37:17 benten abrt[8865]: Saved core dump of pid 8855 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-04-19-19:37:16-8855 (54493184 bytes)
Comment 1 Robert Elliott 2012-04-19 14:48:58 EDT
Created attachment 578734 [details]
File: dso_list
Comment 2 Robert Elliott 2012-04-19 14:49:00 EDT
Created attachment 578735 [details]
File: build_ids
Comment 3 Robert Elliott 2012-04-19 14:49:02 EDT
Created attachment 578736 [details]
File: maps
Comment 4 Robert Elliott 2012-04-19 14:49:04 EDT
Created attachment 578737 [details]
File: backtrace
Comment 5 Robert Elliott 2012-04-19 19:09:18 EDT
On further messing around, it looks as if the podcast I mentioned above isn't to blame; rather, the one that killed gpodder is the podcast for http://historyextra.com (the offending podcast is (allegedly) at http://cdn.bbcmagazinesbristol.com/bbchistory/audio/HistoryExtra_19thApril12.mp3). Furthermore, it didn't just kill gpodder; I tried grabbing that episode via firefox and wget, and it killed both of those, too; firefox with a signal 6, and wget with a core dump (and the message "res_query.c:258: __libc_res_nquery: Assertion `hp != hp2' failed.")

So: It looks like the problem lies not with gpodder per se but with some manner of http trickery, the nature of which I'm currently unaware.
Comment 6 Fedora End Of Life 2013-01-16 09:25:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 10:25:41 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.